Bug 1299636 - deployment with tuskar fails some tempest tests around object storage with Conflict: An object with that identifier already exists
deployment with tuskar fails some tempest tests around object storage with Co...
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 10.0 (Newton)
Assigned To: Hugh Brock
Shai Revivo
: Automation, AutomationBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-18 15:17 EST by Steve Linabery
Modified: 2016-10-10 00:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-10 00:19:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Linabery 2016-01-18 15:17:45 EST
CI run (virthost based, using 'plan' i.e. not heat templates) has three tempest tests fail against a successful deployment:

.tearDownClass (tempest.api.object_storage.test_account_services.AccountTest)
 tempest.api.object_storage.test_container_services.ContainerTest.test_list_container_contents

.tearDownClass (tempest.api.object_storage.test_object_services.ObjectTest)

All fail with similar stacktrace:
Traceback (most recent call last):
  File "/home/stack/tempest/tempest/api/object_storage/test_container_services.py", line 28, in tearDown
    self.delete_containers(self.containers)
  File "/home/stack/tempest/tempest/api/object_storage/base.py", line 88, in delete_containers
    container_client.delete_container(cont)
  File "/home/stack/tempest/tempest/services/object_storage/container_client.py", line 53, in delete_container
    resp, body = self.delete(url)
  File "/usr/lib/python2.7/site-packages/tempest_lib/common/rest_client.py", line 283, in delete
    return self.request('DELETE', url, extra_headers, headers, body)
  File "/usr/lib/python2.7/site-packages/tempest_lib/common/rest_client.py", line 629, in request
    resp, resp_body)
  File "/usr/lib/python2.7/site-packages/tempest_lib/common/rest_client.py", line 685, in _error_checker
    raise exceptions.Conflict(resp_body)
Conflict: An object with that identifier already exists
Details: <html><h1>Conflict</h1><p>There was a conflict when trying to complete your request.</p></html>
Comment 4 Mike Burns 2016-04-07 17:03:37 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 6 Jaromir Coufal 2016-10-10 00:19:57 EDT
Tuskar is deprecated.

Note You need to log in before you can comment on or make changes to this bug.